import com.dowstats.data.rgd.RgdData
import org.junit.jupiter.api.Test
import java.io.DataInputStream
import java.io.File
import java.io.PrintWriter
import java.math.RoundingMode
import java.nio.ByteBuffer
import java.nio.file.Paths

class Test {



    @Test
    fun test() {
        File("M:\\SteamLibrary\\steamapps\\common\\Dawn of War Soulstorm\\Unification").listFiles().forEach {
            if(it.name.endsWith(".sga")) {
                try {
                    File(it.path + "\\Data\\attrib\\ebps\\races").listFiles().forEach {
                        println(it.name + " - " + it.path)
                    }
                } catch (e: Exception) {

                }
            }
        }

    }


}